--- evince-2.30.3/help/C/evince.xml.orig	2011-05-12 09:14:21.600104579 +0100
+++ evince-2.30.3/help/C/evince.xml	2011-05-12 09:14:56.742332276 +0100
@@ -1,6 +1,5 @@
-<?xml version="1.0"?>
-<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" 
-"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
   <!ENTITY legal SYSTEM "legal.xml">
   <!ENTITY appversion "0.2">
   <!ENTITY manrevision "1.1">
@@ -8,7 +7,6 @@
   <!ENTITY app "<application>Evince Document Viewer</application>">
   <!ENTITY appname "Evince Document Viewer">
 ]>
-
 <!-- 
       (Do not remove this comment block.)
   Maintained by the GNOME Documentation Project
@@ -16,13 +14,12 @@
   Template version: 2.0 beta
   Template last modified Apr 11, 2002
 -->
-
 <!-- =============Document Header ============================= -->
 <article id="index" lang="en">
 <!-- please do not change the id; for translations, change lang to -->
 <!-- appropriate code -->
   <articleinfo> 
-    <title>&appname; Manual </title>       
+    <title>Evince Document Viewer Manual </title>       
     <abstract role="description">
       <para> 
          The Evince Document Viewer application enables you to view documents of various formats like Portable 
@@ -35,7 +32,8 @@
     </copyright>
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright>
 
 <!-- translators: uncomment this:
@@ -49,16 +47,16 @@
       <publishername> GNOME Documentation Project </publishername> 
     </publisher> 
 
-    &legal;
+    
     <!-- This file  contains link to license for the documentation (GNU FDL), and 
          other legal stuff such as "NO WARRANTY" statement. Please do not change 
 	 any of this. -->
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
-        <surname>GNOME Documentation Team</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <firstname>Oracle Solaris </firstname>
+        <surname>Desktop Documentation Team</surname>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
       <author role="maintainer"> 
 	<firstname>Nickolay V. </firstname> 
@@ -85,7 +83,7 @@
 
     <revhistory>
       <revision> 
-        <revnumber>&appname; Manual V1.1</revnumber> 
+        <revnumber>Evince Document Viewer Manual V1.1</revnumber> 
 	<date>2008-04-05</date>
         <revdescription>
           <para role="author">Niels Giesen</para>
@@ -94,7 +92,7 @@
         </revdescription>
       </revision> 
       <revision> 
-        <revnumber>&appname; Manual V1.0</revnumber> 
+        <revnumber>Evince Document Viewer Manual V1.0</revnumber> 
 	<date>2005-04-06</date>
         <revdescription>
           <para role="author">Nickolay V. Shmyrev</para>
@@ -103,18 +101,18 @@
       </revision> 
     </revhistory> 
 
-    <releaseinfo>This manual describes version &appversion; of &appname;
+    <releaseinfo>This manual describes version 0.2 of Evince Document Viewer
     </releaseinfo> 
     <legalnotice> 
       <title>Feedback</title> 
-      <para>To report a bug or make a suggestion regarding the &appname; application or this manual, follow the directions in the <ulink url="ghelp:gnome-feedback" type="help">GNOME Feedback Page</ulink>. 
+      <para>To report a bug or make a suggestion regarding the Evince Document Viewer application or this manual, follow the directions in the <ulink url="ghelp:gnome-feedback" type="help">GNOME Feedback Page</ulink>. 
       </para>
 <!-- Translators may also add here feedback address for translations -->
     </legalnotice> 
   </articleinfo> 
 
   <indexterm zone="index"> 
-    <primary>&appname;</primary> 
+    <primary>Evince Document Viewer</primary> 
   </indexterm> 
   <indexterm zone="index"> 
     <primary>evince</primary> 
@@ -126,7 +124,7 @@
      the application is and what it does. -->
   <sect1 id="evince-introduction"> 
     <title>Introduction</title> 
-    <para>The &app; application enables you to view documents of various formats like Portable Document Format (PDF) files and PostScript files.  &app; follows Freedesktop.org and GNOME standards to provide integration with Desktop Environment.
+    <para>The <application>Evince Document Viewer</application> application enables you to view documents of various formats like Portable Document Format (PDF) files and PostScript files.  <application>Evince Document Viewer</application> follows Freedesktop.org and GNOME standards to provide integration with Desktop Environment.
     </para>
   </sect1>
 
@@ -136,38 +134,37 @@
     <title>Getting Started</title> 
 
     <sect2 id="evince-start">
-    <title>To Start &appname;</title>
-    <para>&app; starts when you open a document such as a PDF or PostScript file.</para>
-    <para>Alternatively, you can start &app; from the command line, with the command: <command>evince</command>.</para>
+    <title>To Start Evince Document Viewer</title>
+    <para><application>Evince Document Viewer</application> starts when you open a document such as a PDF or PostScript file.</para>
+    <para>Alternatively, you can start <application>Evince Document Viewer</application> from the command line, with the command: <command>evince</command>.</para>
     
     </sect2>
 
     <sect2 id="evince-when-start">
-    <title>When You Start &appname;</title>
-    <para>When you start &app;, the following window is displayed.</para>
+    <title>When You Start Evince Document Viewer</title>
+    <para>When you start <application>Evince Document Viewer</application>, the following window is displayed.</para>
 
     <!-- ==== Figure ==== -->
       <figure id="mainwindow-fig"> 
-	<title>&appname; Window</title> 
+	<title>Evince Document Viewer Window</title> 
 	<screenshot> 
 	  <mediaobject> 
-	    <imageobject><imagedata
-		fileref="figures/evince_start_window.png" format="PNG"/> 
+	    <imageobject><imagedata fileref="figures/evince_start_window.png" format="PNG"/> 
 	    </imageobject>
 	    <textobject> 
-	      <phrase>Shows &appname; main window. Contains titlebar, menubar, toolbar and display area. Menubar contains File, Edit, View, Go and Help menus. </phrase> 
+	      <phrase>Shows Evince Document Viewer main window. Contains titlebar, menubar, toolbar and display area. Menubar contains File, Edit, View, Go and Help menus. </phrase> 
 	    </textobject> 
 	  </mediaobject> 
 	</screenshot> 
       </figure>
 
-    <para>The &app; window contains the following elements:
+    <para>The <application>Evince Document Viewer</application> window contains the following elements:
     </para>
       <variablelist>
 	<varlistentry>
   	  <term>Menubar</term>
  	  <listitem>
-	    <para>The menus on the menubar contain all of the commands that you need to work with documents in &app;.</para>
+	    <para>The menus on the menubar contain all of the commands that you need to work with documents in <application>Evince Document Viewer</application>.</para>
 	  </listitem>
  	</varlistentry>
 	<varlistentry>
@@ -185,7 +182,7 @@
       </variablelist>
 
       <para>
-        In &app;, you can perform the same action in several ways. For example, you can open a document in the following ways:
+        In <application>Evince Document Viewer</application>, you can perform the same action in several ways. For example, you can open a document in the following ways:
                   <informaltable frame="all">
                     <tgroup cols="2" colsep="1" rowsep="1">
                       <colspec colname="COLSPEC0" colwidth="50*"/>
@@ -204,7 +201,7 @@
                           <entry>
                             <itemizedlist>
                               <listitem>
-                                <para>Drag a file into the &app; window from another application such as a file manager.</para>
+                                <para>Drag a file into the <application>Evince Document Viewer</application> window from another application such as a file manager.</para>
                               </listitem>
                               <listitem>
                                 <para>Double-click on the file name in the file manager</para>
@@ -251,15 +248,15 @@
         </listitem>
         <listitem>
           <para>
-            Click <guibutton>Open</guibutton>. &app; displays the name of the document in the titlebar of the window.
+            Click <guibutton>Open</guibutton>. <application>Evince Document Viewer</application> displays the name of the document in the titlebar of the window.
           </para>
         </listitem>
       </orderedlist>
       <para> 
-	To open another document, choose <menuchoice> <guimenu>File</guimenu><guimenuitem>Open</guimenuitem> </menuchoice> again. &app; opens each file in a new window.
+	To open another document, choose <menuchoice> <guimenu>File</guimenu><guimenuitem>Open</guimenuitem> </menuchoice> again. <application>Evince Document Viewer</application> opens each file in a new window.
       </para>
       <para>
-	If you try to open a document with format that &app; does not recognize, the application displays an error message.
+	If you try to open a document with format that <application>Evince Document Viewer</application> does not recognize, the application displays an error message.
       </para>
     </sect2>
 
@@ -310,7 +307,7 @@
 	 <sect2 id="evince-manipulate-zoom-factor"> 
       <title>To Change the Page Size</title> 
       <para>
-        You can use the following methods to resize a page in the &app; display area:
+        You can use the following methods to resize a page in the <application>Evince Document Viewer</application> display area:
       </para> 
       <itemizedlist> 
 	<listitem> 
@@ -325,17 +322,17 @@
 	</listitem> 
 	<listitem> 
 	  <para>
-            To resize a page to have the same width as the &app; display area, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Fit page width</guimenuitem> </menuchoice>.
+            To resize a page to have the same width as the <application>Evince Document Viewer</application> display area, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Fit page width</guimenuitem> </menuchoice>.
           </para> 
 	</listitem> 
 	<listitem> 
 	  <para>
-            To resize a page to fit within the &app; display area, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Best Fit</guimenuitem> </menuchoice>.
+            To resize a page to fit within the <application>Evince Document Viewer</application> display area, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Best Fit</guimenuitem> </menuchoice>.
           </para> 
 	</listitem> 
 	<listitem> 
 	  <para>
-            To resize the &app; window to have the same width and height as the screen, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Full Screen</guimenuitem> </menuchoice>. To resize the &app; window to the original size, click on the <guibutton>Exit Full Screen</guibutton> button.
+            To resize the <application>Evince Document Viewer</application> window to have the same width and height as the screen, choose <menuchoice> <guimenu>View</guimenu> <guimenuitem>Full Screen</guimenuitem> </menuchoice>. To resize the <application>Evince Document Viewer</application> window to the original size, click on the <guibutton>Exit Full Screen</guibutton> button.
           </para> 
 	</listitem> 
       </itemizedlist> 
@@ -441,7 +438,7 @@
 	      <para>Use this drop-down list to select the printer to which you want to print the document.</para>
               <note>
               <para>
-                The <guilabel>Create a PDF document</guilabel> option is not supported in this version of &app;.
+                The <guilabel>Create a PDF document</guilabel> option is not supported in this version of <application>Evince Document Viewer</application>.
               </para>
               </note>
 	    </listitem>
@@ -508,19 +505,19 @@
 	  </varlistentry>
 	  <varlistentry> <term><guilabel>State</guilabel> </term> 
 	    <listitem> 
-	      <para>This functionality is not supported in this version of &app;.
+	      <para>This functionality is not supported in this version of <application>Evince Document Viewer</application>.
               </para>
 	    </listitem>
 	  </varlistentry>
 	  <varlistentry> <term><guilabel>Type</guilabel> </term> 
 	    <listitem> 
-	      <para>This functionality is not supported in this version of &app;.
+	      <para>This functionality is not supported in this version of <application>Evince Document Viewer</application>.
               </para>
 	    </listitem>
 	  </varlistentry>
 	  <varlistentry> <term><guilabel>Comment</guilabel> </term> 
 	    <listitem> 
-	      <para>This functionality is not supported in this version of &app;.
+	      <para>This functionality is not supported in this version of <application>Evince Document Viewer</application>.
               </para>
 	    </listitem>
 	  </varlistentry>
@@ -614,7 +611,7 @@
         </listitem>        
       </itemizedlist>
       <para>
-        When you try to open a password-protected document, &app; displays a security dialog. Type either the user password or the master password in the <guilabel>Enter document password</guilabel> text box, then click <guibutton>Open Document</guibutton>.
+        When you try to open a password-protected document, <application>Evince Document Viewer</application> displays a security dialog. Type either the user password or the master password in the <guilabel>Enter document password</guilabel> text box, then click <guibutton>Open Document</guibutton>.
       </para>
     </sect2>
 
@@ -624,7 +621,7 @@
       <para>To close a document, choose <menuchoice> <guimenu>File</guimenu> <guimenuitem>Close</guimenuitem> </menuchoice>. 
       </para> 
       <para> 
-        If the window is the last &app; window open, the application exits.
+        If the window is the last <application>Evince Document Viewer</application> window open, the application exits.
       </para> 
     </sect2> 
 
@@ -633,7 +630,7 @@
   <!-- ================ Shortcuts ================================ -->
   <sect1 id="evince-shortcuts"> 
     <title>Shortcuts</title> 
-    <para>Below is a list of all shortcuts present in &app;:</para>
+    <para>Below is a list of all shortcuts present in <application>Evince Document Viewer</application>:</para>
     <informaltable frame="all">
       <tgroup cols="2" colsep="1" rowsep="1">
         <colspec colname="COLSPEC0" colwidth="50*"/>